#include <iostream>
#include <cmath>
using namespace std;

double fforcast (int n, int best_k, int* x);// calculate next period forcast
double floor2 (double v);					// precise to the second digit

int main ()
{	
	int n = 0; 			// first value n, number of values
	int x[10001] = {0};	// the tth-period sales quantity
	int upper_bound = 6;// find upper bound (6 or n)
	double sum_AD = 0; 	// calculate sum of AD 
	int best_k = 1;		// find Best K
	double forcast = 0; // next period forcast
	
	while(cin >> n)
	{
		double array_MAD[10001] = {0};
		forcast = 0;
		best_k = 1;

		// store input_data in an array x[]
		for(int a = 1; a <= n; a++)
			cin >> x[a];
		
		// find upper bound (6 or n)
		if (n <= 6)
			upper_bound = n;

		// calculate sum of AD
		for (int i = 1; i <= upper_bound; i++)
		{
			double temp[10000] =  {0};
			for (int j = i; j <= n-1; j++)
			{
				for (int k = 1; k <= i; k++)
					temp[j+1] += x[j-k+1];

				sum_AD = abs(x[j+1] - temp[j+1]/i);
				array_MAD[i] += sum_AD;	
			}
			array_MAD[i] /= (n-i);
		}

		// find best K
		for (int i = 2; i <= upper_bound; i++){
			if(array_MAD[i] < array_MAD[best_k])
				best_k = i;
		}

		// print the result
		cout << best_k << " " << floor2(array_MAD[best_k])<< " " << fforcast(n, best_k, x) << endl; 
	}

	return 0;
}

double fforcast(int n, int best_k, int* x)
{
	double forcast = 0;
	for (int i = 1; i <= best_k; i++)
		forcast += x[n-i+1];

	return floor2(forcast/best_k);
}
double floor2(double v)
{
	return floor(100 * v) / 100;
}